summaryrefslogtreecommitdiff
path: root/misc/tamsyn-font/tamsyn-font.SlackBuild
diff options
context:
space:
mode:
authorMoritz Wilhelmy <moritz plus slackware at wzff dot de>2011-10-23 13:16:44 -0500
committerNiels Horn <niels.horn@slackbuilds.org>2011-11-04 22:02:24 -0200
commit169fc39990b315d10fe1e41810d37500a7609311 (patch)
treee0707918e3baf723a73906dd6b37a105109bf31b /misc/tamsyn-font/tamsyn-font.SlackBuild
parent4e19a2eb824353e0e397cbe4991d1c5b7215cc4a (diff)
downloadslackbuilds-169fc39990b315d10fe1e41810d37500a7609311.tar.gz
misc/tamsyn-font: Added (A monospace bitmap font designed for programmers)
Signed-off-by: Erik Hanson <erik@slackbuilds.org>
Diffstat (limited to 'misc/tamsyn-font/tamsyn-font.SlackBuild')
-rw-r--r--misc/tamsyn-font/tamsyn-font.SlackBuild51
1 files changed, 51 insertions, 0 deletions
diff --git a/misc/tamsyn-font/tamsyn-font.SlackBuild b/misc/tamsyn-font/tamsyn-font.SlackBuild
new file mode 100644
index 0000000000..f4dc8fc811
--- /dev/null
+++ b/misc/tamsyn-font/tamsyn-font.SlackBuild
@@ -0,0 +1,51 @@
+#!/bin/sh
+
+# Slackware package build script for proggyfonts
+
+# Written by Moritz Wilhelmy, moritz plus slackware at wzff dot de
+#
+# Redistribution and use with or without modification are permitted.
+# There is ABSOLUTELY NO WARRANTY, express or implied.
+
+PRGNAM=tamsyn-font
+VERSION=${VERSION:-1.6}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+ARCH=${ARCH:-noarch}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+install -d $PKG/usr/share/fonts/misc $PKG/usr/share/kbd/consolefonts
+gzip -9 *.pcf *.psf
+cp *.pcf.gz $PKG/usr/share/fonts/misc
+cp *.psf.gz $PKG/usr/share/kbd/consolefonts
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README.Tamsyn LICENSE $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}